Bug 45025 - Improve appearance of welcome screen for app appliances
Improve appearance of welcome screen for app appliances
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Bootsplash
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Jürn Brodersen
Alexander Kläser
:
Depends on:
Blocks: 45031
  Show dependency treegraph
 
Reported: 2017-07-17 14:47 CEST by Alexander Kläser
Modified: 2017-07-26 14:39 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 5: Will affect all installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.171
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Appliance, Design, Usability
Max CVSS v3 score:


Attachments
Mockup of improved welcome screen (304.30 KB, image/png)
2017-07-17 14:47 CEST, Alexander Kläser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2017-07-17 14:47:21 CEST
Created attachment 9034 [details]
Mockup of improved welcome screen

Attached you find a suggestion for an improved welcome screen.

Other aspects that should be looked into:
* I had 2 network interfaces, however, only one address was shown on the welcome 
  screen.
* It seems to be a good idea to remove the FQDN entry from the screen, as DNS
  will not be configured properly on a client most of the time.
Comment 1 Alexander Kläser univentionstaff 2017-07-18 09:09:36 CEST
From Bug 44523, comment #18:
> Created attachment 9033 [details]
> different logos used on welcome-screen
> 
> See screenshot: The welcome screen uses two different logos, apparently
> ApplianceUmcHeaderLogo and ApplianceWelcomeScreenLogo. It should only use
> ApplianceWelcomeScreenLogo.

That is part of this bug.
Comment 2 Jürn Brodersen univentionstaff 2017-07-19 14:52:19 CEST
r81259: Improve appearance of welcome screen for app appliances
r81261: YAML
Package: univention-app-appliance
Version: 1.0.2-30A~4.2.0.201707191433
Branch: ucs_4.2-0
Scope: errata4.2-1

Please QA together with bug 45031, thanks.
Comment 3 Alexander Kläser univentionstaff 2017-07-21 13:29:03 CEST
Looks good. I would only like to ask you to align the left side of the header text with the graphics in the center of the screen.
Comment 4 Jürn Brodersen univentionstaff 2017-07-24 10:07:14 CEST
r81320: Aligned welcome screen header; removed image copying from
pre/postinst.
Package: univention-app-appliance
Version: 1.0.2-31A~4.2.0.201707241001
Branch: ucs_4.2-0
Scope: errata4.2-1
Comment 5 Alexander Kläser univentionstaff 2017-07-24 13:41:46 CEST
The changes are now very good! I just needed to adapt the YAML message.

→ VERIFIED
Comment 6 Erik Damrose univentionstaff 2017-07-26 14:39:44 CEST
<http://errata.software-univention.de/ucs/4.2/106.html>